@charset "utf-8";
/* CSS Document */

/*********/
div.forumControls {
	background:#eeeeFF;
	border:#000000 solid 1px;
	border-radius:3px;
	margin-left:auto;
	margin-right:auto;
	margin-bottom:5px;
	margin-top:5px;
	padding:3px;
	width:350px;
}

div.forumControls a {
	color:#0045ff;
	font-weight:bold;
	padding:3px;
	text-decoration:none;
}

div.forumControls a:hover {
	color:#0000BB;
	text-decoration:underline;
}

/******************************************************************************/
/******  Common Styles for Topics/Links on All Indexes ******/
div.index { margin-left:10px; margin-right:10px; }
div.index li::marker { color: blue; }
div.index li a.topictitle { color:#0045ff; font-style:normal; text-decoration:underline; font-weight:normal; } /* NormalPost */
div.index li a.topictitle::before { content:  ""; } /* NormalPost */

div.index li.EditedPost a.topictitle   { color:#0066CC; font-style:italic; text-decoration:underline; font-weight:bold; }
div.index li.DeletedPost a.topictitle  { color:#990000; font-style:italic; text-decoration:line-through; }
div.index li.FlaggedPost a.topictitle  { color:#000000; font-style:normal; text-decoration:underline; font-weight:bold; }
div.index li.FrozenPost a.topictitle   { color:#0000CC; font-style:normal; text-decoration:underline; font-weight:bold; }
div.index li.SkippedPost a.topictitle  { color:#666666; font-style:italic; text-decoration:underline; }
div.index li.LockedPost a.topictitle   { color:#FF0000; font-style:normal; text-decoration:underline; }
div.index li.RestoredPost a.topictitle { color:#006600; font-style:normal; text-decoration:underline; }
div.index li.ReviewedPost a.topictitle { color:#009900; font-style:normal; text-decoration:underline; }
div.index li.ViewedPost a.topictitle   { color:#999999; font-style:normal; text-decoration:underline; }

div.index li.ArchivedPost a.topictitle::before { content: "⌛"; margin-right:4px; text-decoration:none; font-weight:normal; }
div.index li.DeletedPost a.topictitle::before { content: "✖️"; color:#990000; margin-right:4px; text-decoration:none; font-weight:normal; }
div.index li.EditedPost a.topictitle::before { content: "✂️"; color:#990099; margin-right:4px; text-decoration:none; font-weight:normal; }
div.index li.FlaggedPost a.topictitle::before { content: "☠"; color:#990000; margin-right:4px; text-decoration:none; font-weight:normal; }
div.index li.FrozenPost a.topictitle::before { content: "❄️"; color:#000099; margin-right:4px; text-decoration:none; font-weight:normal; }
div.index li.ReviewedPost a.topictitle::before { content: "☑️"; color:#009900; margin-right:4px; text-decoration:none; font-weight:normal; }
div.index li.StickyPost::before { content: url(/images/icons/32/blue-push-pin.png); }
div.index li.StickyPost::marker { color:rgba(0,0,0,0); } /* Makes the LI marker transparent / invisible for  sticky posts */


/***************************************************************************/
/******  Additional Selectors for Date Index   ******/
div.index-Date li.StickyPost { margin-bottom:10px; padding-bottom:10px; border-bottom:1px solid #000099; width:95%; }


/***************************************************************************/
/******  Additional Selectors for Thread Index  ******/
div.index-Thread li ul { margin-left:-10px; }
div.index-Thread li.StickyPost {  position:relative; margin-left:0px; left:-20px; margin-bottom:10px; padding-bottom:10px; border-bottom:1px solid #000099; width:95%; }
div.index-Thread li.StickyPost ul { margin-left:10px; }


/***************************************************************************/
/******  Topical Index Selectors  (also utilized by/for Chronological-Date/Views index)  ******/
div.index-Topical { background-color:#FFFFFF; border:1px solid #707; border-radius:4px; text-align:left; margin-top:5px; margin-bottom:5px; }
div.msgBdyPreview { display:block; padding:4px; font-size:smaller; }

div.index-Topical ul, div.index-Topical ul li { margin:0px; padding:0px; font-family:Arial, Helvetica, sans-serif; }
div.index-Topical li { padding-left:2px; }

div.index-Topical li dt.subject::before { content: "♥️";  color:#707; border:1px solid #707; border-radius:4px; font-style:normal; font-weight:normal; margin:1px; padding:2px; }
div.index-Topical li.StickyPost::before { content: ""; } /* Turn off stickpin icon placed in front of LI tags for other index types */
div.index-Topical li.StickyPost dt.subject::before { content: url(/images/icons/32/blue-push-pin.png); width:24px; color:#707; border:1px solid #707; border-radius:4px; font-style:normal; font-weight:bold; margin:1px; padding:2px; }

div.index-Topical li.header  { display:block; background-color:#ffc2af; border-bottom:1px solid #707; padding:1px; border-top-left-radius:4px; border-top-right-radius:4px; color:#707; font-size:larger; }
div.index-Topical li.rowBkg1 { display:block; background-color:#f4d4bd; border-bottom:2px solid #ffc2af; border-left:1px solid #ffc2af; border-right:1px solid #ffc2af; }
div.index-Topical li.rowBkg2 { display:block; background-color:#ffdfbc; border-bottom:2px solid #ffc2af; border-left:1px solid #ffc2af; border-right:1px solid #ffc2af; }
div.index-Topical li.rowBkg1:hover { background-color:#fff3e6; }
div.index-Topical li.rowBkg2:hover { background-color:#fff3e6; }

div.index-Topical li dl { display:block; }

div.index-Topical li dt.subject { display:inline-block; width:45%; border-right:1px solid #000099; }
div.index-Topical li dt.subject a.topictitle { font-weight:bold; text-decoration:none; }
div.index-Topical li dt.subject a.topictitle:hover{ text-decoration:underline; }
 
div.index-Topical li dt div.description { color:#000000; padding-left:5px; }
div.index-Topical li dt span.forum_type { color:#000000; font-size:smaller; padding-left:5px; }
div.index-Topical li dt span.owner { color:#000000; font-size:smaller; }

div.index-Topical li dt span.author { color:#000000; font-size:smaller; } 
div.index-Topical li dt span a.authorname { color:#000000; text-decoration:none; }
div.index-Topical li.UsrReg dt span a.authorname { font-weight:bold; }
div.index-Topical li dt span a.authorname:hover { text-decoration:underline; }
div.index-Topical li dt span.datetime { font-size:smaller; }

div.index-Topical li dl dd.author { display:inline-block; min-height:1.5em; width:18%; border-right:1px solid #000099; margin-left:0px; text-align:center; vertical-align:top; }
div.index-Topical li.UsrReg dl dd.author { font-weight:bold; }

div.index-Topical li dd.topics { display:inline-block; min-height:1.5em; width:6%; text-align:center; }
div.index-Topical li dd.posts { display:inline-block; min-height:1.5em; width:6%; border-left:1px solid #000099; text-align:center; }

div.index-Topical li dd.replies { display:inline-block; min-height:1.5em; width:6%; border-left:1px solid #000099; text-align:center; vertical-align:top; }
div.index-Topical li dd.views   { display:inline-block; min-height:1.5em; width:6%;  text-align:center; vertical-align:top; }
div.index-Topical li dd.likes   { display:none;         min-height:1.5em; width:6%; border-left:1px solid #000099; text-align:center; }
/* "lastpost" "last column" */
div.index-Topical li dd.lastpost { display:inline-block; min-height:1.5em; width:18%; border-left:1px solid #000099; font-size:smaller; padding-left:4px; vertical-align:top; }
div.index-Topical li dd.lastpost span.datetime {  }
div.index-Topical li dd.lastpost a.UsrReg { font-weight:bold; }
div.index-Topical li dd.lastpost a { color:#000000; text-decoration:none;  }
div.index-Topical li dd.lastpost a:hover { text-decoration:underline; }
div.index-Topical li dd.lastpost span.inReplyTo {  }
div.index-Topical li dd.lastpost span.UsrReg { font-weight:bold; }
div.index-Topical li dd.lastpost span.inReplyTo { color:#000000; text-decoration:none;  }
div.index-Topical li dd.lastpost span.inReplyTo:hover { text-decoration:underline; }
div.index-Topical li dd dfn { display:none; }

@media screen and (max-width: 800px) { /* 768 */
	div.index-Topical li dd.lastpost { display:none; }
	div.index-Topical li.ArchivedPost dd.replies::after { content: " ⌛"; font-size:x-large; color:#000099; }
}

@media screen and (max-width: 600px) {
	img#lgLogoImg { max-width:98%; height:auto; }
}


/***************************************************************************/
/******  Tree Index Selectors  ******/
div.index-Tree li ul { margin-left:-10px; }
div.index-Tree li.StickyPost {  position:relative; margin-left:0px; left:0px; margin-bottom:10px; padding-bottom:10px; border-bottom:1px solid #000099; width:95%; }
div.index-Tree li.StickyPost ul { margin-left:1px; }
div.index-Tree li a { margin-left:4px; }

/* UL Menu Tree */
div.index-Tree ul.tree, div.index-Tree ul.tree li ul { list-style:none; padding:0; margin:0; }
div.index-Tree ul.tree { border:1px solid #d2d2d2; padding-left:10px; }

/* */
div.index-Tree ul.tree li { padding:1px; padding-left:20px; max-width:98%; } /* [old CSS] border-bottom: 1px solid #d2d2d2; */ 
div.index-Tree ul.tree li input[type=checkbox] { display:none; } /* Hides (all) the checkboxes in all nodes */
div.index-Tree ul.tree li { position:relative; padding-left:30px !important; } /* Pos. and Pad all nodes */
div.index-Tree ul.tree li.treeNode ul { display:none; } /* Hides the ULs in all treeNodes */
div.index-Tree ul.tree li:last-child { border:0; }

/* Expand/Collapse "+" Icon and its annimation */
div.index-Tree ul.tree li.treeNode input.singleNodeCbCtrl:not(checked) ~ ul { animation:fadeOut 0.5s; transition-delay:2s; transition-property:display; }
div.index-Tree ul.tree li.treeNode input.singleNodeCbCtrl:checked ~ ul { display:block; animation:fadeIn 0.5s; }

div.index-Tree ul.tree li.treeNode label.singleNodeCbLbl:after { content:"+"; position:absolute; top:0; left:0; margin-left:15px; 
  padding:2px; text-align:right; font-size:larger; color:#000099; transition:all 0.5s; cursor:pointer;
}
div.index-Tree ul.tree li.treeNode input.singleNodeCbCtrl:checked ~ label.singleNodeCbLbl:after { color:#f00; font-size:larger; transform:rotate(45deg); }

/* Expand/Collapse "▶️" Icon and its annimation */
div.index-Tree ul.tree li.treeNode input.multiNodeCbCtrl:checked ~ ul { display:block; animation:fadeIn 0.5s; }
div.index-Tree ul.tree li.treeNode label.multiNodeCbLbl:before { content:"▶️"; font-size:x-small; position:absolute; top:3px; left:0; 
  padding:2px; text-align:right; color:#000099; transition:all 0.25s; cursor:pointer;
}
div.index-Tree ul.tree li.treeNode input.multiNodeCbCtrl:checked ~ label.multiNodeCbLbl:before { transform:rotate(90deg); }

/* Menu sub-item */
div.index-Tree ul.tree li.treeNode ul { margin-top:1px; }

/* NOTE: The .emptyNode LI inherits styles from anscestor LIs (above) */
div.index-Tree ul.tree li.emptyNode label.singleNodeCbLbl:after { 
  content:"∘"; position:absolute; top:0; left:0; padding:2px; margin-left:17px;
  text-align:right; color:#000000;
}

@keyframes fadeIn {
  	0% { opacity:0; }
  	100% { opacity:1; }
}

@keyframes fadeOut {
  	0% { opacity:1; }
  	100% { opacity:0; }
}

/***************************************************************************/
/****** (More) Common Styles for Topics/Links on All Indexes ******/

div.index li a.topictitle:hover { color:#0000BB; } 
div.index li a.topictitle:active { color:#009900; } 
div.index li a.topictitle:visited { color:#f90246; }
